| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Variables
DC2405A.ino File Reference
Analog-to-Digital Converters (ADC) » LTM2893: Isolator for 1Msps ADC

Linear Technology DC2405A Demonstration Board. More...

## Detailed Description

Linear Technology DC2405A Demonstration Board.

LTM2893-1: 100MHz ADC SPI Isolator LTC2328-18: 18-Bit, 1Msps Pseudo-differential input ADC Max SCK rate is 100MHz.

    NOTES
      Setup:
       Set the terminal baud rate to 115200 and select the newline terminator. Equipment
       required is a voltage source (preferably low-noise) and a precision voltmeter.
       Ensure all jumpers on the demo board are installed in their default positions
       from the factory. Refer to Demo Manual DC2405A.

      How to test:
       The voltage source should be connected between inputs AIN and GND2. Ensure both
       inputs are within their specified absolute input voltage range. Ensure the voltage
       source is set within the range of -10.24V to +10.24V (single ended voltage range).
       (Swapping input voltages results in a reversed polarity reading.)

    USER INPUT DATA FORMAT:
     decimal : 1024
     hex     : 0x400
     octal   : 02000  (leading 0 "zero")
     binary  : B10000000000
     float   : 1024.0

http://www.linear.com/product/LTM2893

http://www.linear.com/product/LTM2893#demoboards

Copyright 2018(c) Analog Devices, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Analog Devices, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
- The use of this software may or may not infringe the patent rights of one or more patent holders. This license does not release you from the requirement that you obtain separate licenses from these patent holders to use this software.
- Use of the software either in source or binary form, must be run on or directly connected to an Analog Devices Inc. component.

THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Definition in file DC2405A.ino.

Go to the source code of this file.

## Functions
static void | print_title ()
| Prints the title block when program first starts. More...
static void | print_prompt ()
| Prints main menu. More...
static void | print_user_command (uint8_t menu)
static void | menu_1_read_input ()
| Read channel. More...
static void | menu_2_select_bits ()
| Select number of bits. More...
static void | setup ()
| Initialize Linduino. More...
static void | loop ()
| Repeats Linduino loop. More...

## Variables
static uint8_t | LTC2328_bits = 18
| Default set for 18 bits. More...
static float | LTC2328_vref = 10.24

## Function Documentation

## ◆ loop()

static void loop | ( | void |  | ) |
| static

Repeats Linduino loop.

Definition at line 117 of file DC2405A.ino.

## ◆ menu_1_read_input()

static void menu_1_read_input | ( |  | ) |
| static

Read channel.

Returns
  void

Definition at line 148 of file DC2405A.ino.

## ◆ menu_2_select_bits()

static void menu_2_select_bits | ( |  | ) |
| static

Select number of bits.

Returns
  void

Definition at line 191 of file DC2405A.ino.

## ◆ print_prompt()

static void print_prompt | ( |  | ) |
| static

Prints main menu.

Definition at line 243 of file DC2405A.ino.

## ◆ print_title()

static void print_title | ( | void |  | ) |
| static

Prints the title block when program first starts.

Definition at line 226 of file DC2405A.ino.

## ◆ print_user_command()

static void print_user_command | ( | uint8_t | menu | ) |
| static

## ◆ setup()

static void setup | ( | void |  | ) |
| static

Initialize Linduino.

Definition at line 99 of file DC2405A.ino.

## Variable Documentation

## ◆ LTC2328_bits

uint8_t LTC2328_bits = 18
| static

Default set for 18 bits.

Definition at line 94 of file DC2405A.ino.

## ◆ LTC2328_vref

float LTC2328_vref = 10.24
| static

Definition at line 95 of file DC2405A.ino.